Show: Inherited Protected Private Deprecated

# ButtonEmbed Class

Uses:

- ButtonKeystroke

Defined in: `src/ui/react/src/components/buttons/button-embed.jsx:4`

The ButtonEmbed class provides functionality for creating and editing an embed link in a document. ButtonEmbed renders in two different modes:

- Normal: Just a button that allows to switch to the edition mode
- Exclusive: The ButtonEmbedEdit UI with all the link edition controls.

## Index

### Methods

- _requestExclusive
- componentWillMount
- componentWillUnmount
- getDefaultProps
- render

### Properties

- editor
- key static
- keystroke
- label
- tabIndex

## Methods

### `_requestExclusive`

() protected

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:90`

Requests the link button to be rendered in exclusive mode to allow the embedding of a link.

### `componentWillMount`

()

Inherited from ButtonKeystroke: `src/ui/react/src/components/base/button-keystroke.js:24`

Lifecycle. Invoked once, both on the client and server, immediately before the initial rendering occurs.

### `componentWillUnmount`

()

Inherited from ButtonKeystroke: `src/ui/react/src/components/base/button-keystroke.js:59`

Lifecycle. Invoked immediately before a component is unmounted from the DOM.

### `getDefaultProps`

() Object

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:55`

Lifecycle. Returns the default values of the properties used in the widget.

#### Returns:

Object:

The default properties.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:70`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:20`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:45`

The name which will be used as an alias of the button in the configuration.

Default: embed

### `keystroke`

Object

Inherited from ButtonKeystroke: `src/ui/react/src/components/base/button-keystroke.js:13`

The keystroke definition. An object with the following properties:

- fn: The function to be executed
- keys: The keystroke definition, as expected by http://docs.ckeditor.com/#!/api/CKEDITOR.editor-method-setKeystroke
- name: The name for the CKEditor command that will be created. If empty, a random name will be created on the fly

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:27`

The label that should be used for accessibility purposes.

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-embed.jsx:34`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.